Skip to Content
Drip Docs
API referenceWorkspaces

List tracking

What this workspace follows, and what Drip can't see.

GET
/v1/workspaces/{id}/tracking

What this workspace follows, and what Drip can't see.

Authorization

bearerAuth
headerAuthorizationBearer <drip_live>

An API key from Drip settings. Send it as Authorization: Bearer drip_live_… . The key is shown once.

Path Parameters

id*integer

Workspace id.

Query Parameters

include_removed?boolean

Include entities removed from tracking.

Response Body

status ok, no_results, no_material_updates, partial or not_covered. Branch on status.

application/json
  1. response
alerts*array<>
company_groups*array<>
coverage*
drip_filters*
people_groups*array<>
scope*
status*string
topic_groups*array<>
workspace*
workspaces*array<>
Example Request
curl -X GET 'https://api.joindrip.ai/v1/workspaces/0/tracking'
Example Response
{  "alerts": [    {      "active": true,      "alert_id": 0,      "events": [        "string"      ],      "lens": "string",      "name": "string",      "shared": true,      "watch": "string"    }  ],  "company_groups": [    {      "applies_to": "string",      "can_edit": true,      "companies": [        {          "auto_added": "string",          "company_id": 0,          "domain": "string",          "name": "string",          "relationship": "string",          "setting_up": true,          "settings": {            "focus": {              "mode": "string",              "text": "string"            },            "required_mentions": [              {                "term": "string",                "variants": [                  "string"                ]              }            ]          },          "ticker": "string",          "verified": true        }      ],      "group_id": 0,      "hidden": true,      "kind": "string",      "name": "string",      "setting_up": true,      "settings": {        "auto_discover": true,        "event_categories": [          "string"        ],        "exclusions": [          {            "added": "string",            "exclusion_id": "string",            "text": "string"          }        ],        "focus": {          "mode": "string",          "text": "string"        },        "mentions": true,        "required_mentions": [],        "website_updates": true      },      "shared": true    }  ],  "coverage": {    "cadence": "string",    "history_days": 0,    "not_covered": [      "string"    ],    "source_types": [      "string"    ]  },  "drip_filters": {    "applies_to": "string",    "exclusions": [],    "highlights": []  },  "people_groups": [    {      "applies_to": "string",      "can_edit": true,      "group_id": 0,      "hidden": true,      "name": "string",      "people": [        {          "company": "string",          "name": "string",          "person_id": 0,          "settings": {            "employer_updates": true          },          "title": "string",          "tracked_id": 0        }      ],      "settings": {        "employer_function_filter": true,        "employer_updates": true,        "event_categories": {          "employers": [            "string"          ],          "people": [            "string"          ]        },        "exclusions": [],        "focus": {          "mode": "string"        },        "person_updates": true,        "required_mentions": []      },      "shared": true    }  ],  "scope": {    "tool": "string",    "workspace_id": 0,    "workspace_name": "string"  },  "status": "string",  "topic_groups": [    {      "applies_to": "string",      "can_edit": true,      "group_id": 0,      "hidden": true,      "kind": "string",      "name": "string",      "setting_up": true,      "settings": {        "event_categories": [          "string"        ],        "exclusions": [          {            "added": "string",            "exclusion_id": "string",            "text": "string"          }        ],        "required_mentions": []      },      "shared": true,      "topics": [        {          "description": "string",          "force": "string",          "name": "string",          "setting_up": true,          "settings": {            "exclusions": [              {                "added": "string",                "exclusion_id": "string",                "text": "string"              }            ],            "required_mentions": [              {                "term": "string",                "variants": [                  "string"                ]              }            ]          },          "source": "string",          "status": "string",          "topic_id": 0        }      ]    }  ],  "workspace": {    "active": true,    "last_run": {      "status": "string",      "window": "string"    },    "name": "string",    "use_case": "string",    "workspace_id": 0  },  "workspaces": [    {      "name": "string",      "use_case": "string",      "workspace_id": 0    }  ]}